opensaml-3.0.1

Public Member Functions | List of all members
opensaml::saml2md::MetadataFilter Class Referenceabstract

A metadata filter is used to process metadata after resolution and unmarshalling. More...

`#include <saml/saml2/metadata/MetadataFilter.h>`

## Public Member Functions
virtual const char * | getId () const =0
| Returns an identifying string for the filter. More...
virtual void | doFilter (const MetadataFilterContext *ctx, xmltooling::XMLObject &xmlObject) const =0
| Filters the given metadata. More...

## Detailed Description

A metadata filter is used to process metadata after resolution and unmarshalling.

Some filters might remove everything but identity provider roles, decreasing the data a service provider needs to work with, or a filter could be used to perform integrity checking on the retrieved metadata by verifying a digital signature.

## Member Function Documentation

## ◆ doFilter()

virtual void opensaml::saml2md::MetadataFilter::doFilter | ( | const MetadataFilterContext * | ctx,
|  | xmltooling::XMLObject & | xmlObject
| ) |  | const
| pure virtual

Filters the given metadata.

Exceptions should generally not be thrown to signal the removal of information, only for systemic processing failure.

Parameters

  ctx | context interface, or nullptr
  xmlObject | the metadata to be filtered

## ◆ getId()

virtual const char * opensaml::saml2md::MetadataFilter::getId | ( |  | ) | const
| pure virtual

Returns an identifying string for the filter.

Returns
  the ID string

The documentation for this class was generated from the following file:

- saml/saml2/metadata/MetadataFilter.h